## spectral-cube 0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SpectralCube.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SpectralCube.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SpectralCube"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SpectralCube"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## spectral-cube 0.3.0

=== debian/changelog ===
spectral-cube (0.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #802468)

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Oct 2015 13:19:41 +0200

=== debian/control ===
Source: spectral-cube
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-astropy,
               python-astropy-helpers,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-astropy,
               python3-astropy-helpers,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://spectral-cube.readthedocs.org
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/spectral-cube.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-spectral-cube
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Manipulate astronomical data cubes with Python 2
 The spectral-cube package provides an easy way to read, manipulate,
 analyze, and write data cubes with two positional dimensions and one
 spectral dimension, optionally with Stokes parameters. It aims to be a
 versatile data container for building custom analysis routines.
 .
 This package contains the Python 2 version of the package.

Package: python3-spectral-cube
Architecture: all
Depends: python3-matplotlib, ${misc:Depends}, ${python3:Depends}
Description: Manipulate astronomical data cubes with Python 3
 The spectral-cube package provides an easy way to read, manipulate,
 analyze, and write data cubes with two positional dimensions and one
 spectral dimension, optionally with Stokes parameters. It aims to be a
 versatile data container for building custom analysis routines.
 .
 This package contains the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=spectral-cube
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## spectral-cube 0.3.1

=== debian/changelog ===
spectral-cube (0.3.1-4~16.04) xenial-proposed; urgency=medium

  * SRU: LP: #1598145. Fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jul 2016 14:44:08 +0200

spectral-cube (0.3.1-4) unstable; urgency=medium

  * Use LooseVersion instead of StrictVersion. Closes: #825900

 -- Ole Streicher <olebole@debian.org>  Tue, 31 May 2016 17:51:04 +0200

spectral-cube (0.3.1-3) unstable; urgency=medium

  * Add d/upstream/metadata
  * Correct Vcs-Git URL
  * Use ConfigParser module instead of the one embedded in
    distutils.config. Closes: 825817
  * Update Standards-Version to 3.9.8. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 30 May 2016 15:34:08 +0200

spectral-cube (0.3.1-2) unstable; urgency=low

  * Fix import statement in unit tests

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 16:16:00 +0100

spectral-cube (0.3.1-1) unstable; urgency=low

  * New upstream version
  * Add build time and unit tests

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 13:55:42 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                python3-astropy-helpers,
                python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://spectral-cube.readthedocs.org
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/spectral-cube.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/spectral-cube.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON2:=$(shell pyversions -vr)
PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=spectral-cube
export http_proxy=127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/spectral-cube/spectral-cube-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## spectral-cube 0.3.2

=== debian/changelog ===
spectral-cube (0.3.2-1) unstable; urgency=low

  * New Upstream version 0.3.2

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Jul 2016 21:02:39 +0200

## spectral-cube 0.4.0

=== debian/changelog ===
spectral-cube (0.4.0-3) unstable; urgency=medium

  * Push Standards-Version to 4.0.0. No changes required.
  * Provide Astropy-2.0 compatibility (Closes: #868114)

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Jul 2017 11:30:27 +0200

spectral-cube (0.4.0-2) unstable; urgency=medium

  * Add ASCL Id and reference to d/u/metadata
  * Use assert_almost_equal instead of assert_equal in test_twod_numpy
    (Closes: #860620)

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Apr 2017 10:27:20 +0200

spectral-cube (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0

 -- Ole Streicher <olebole@debian.org>  Wed, 07 Sep 2016 09:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-astropy-helpers,
                python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://spectral-cube.readthedocs.org
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/spectral-cube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git

## spectral-cube 0.4.1

=== debian/changelog ===
spectral-cube (0.4.1-3) unstable; urgency=low

  * Also use temp file in test_wcs_utils

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Dec 2017 14:12:50 +0100

spectral-cube (0.4.1-2) unstable; urgency=low

  * Write test output to temporary file to fix CI test

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Dec 2017 10:06:05 +0100

spectral-cube (0.4.1-1) unstable; urgency=low

  * New upstream version 0.4.1
  * Rediff patches
  * Push Standards-Version to 4.1.1. Change d/watch URL to https
  * Add dependency from the radio-beam package

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Oct 2017 10:22:00 -0300

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,16 @@
                python-astropy,
                python-astropy-helpers,
                python-pytest,
+               python-radio-beam,
                python-setuptools,
                python3-all,
                python3-astropy,
                python3-astropy-helpers,
                python3-pytest,
+               python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.0.0
-Homepage: http://spectral-cube.readthedocs.org
+Standards-Version: 4.1.2
+Homepage: https://spectral-cube.readthedocs.org
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/spectral-cube.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git
 X-Python-Version: >= 2.7

## spectral-cube 0.4.2

=== debian/changelog ===
spectral-cube (0.4.2-1) unstable; urgency=low

  * New upstream version 0.4.2. Rediff patches
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. No changes required.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Feb 2018 13:47:58 +0100

## spectral-cube 0.4.3

=== debian/changelog ===
spectral-cube (0.4.3-1) unstable; urgency=low

  * New upstream version 0.4.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Apr 2018 16:05:27 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-astropy,
@@ -17,10 +17,10 @@
                python3-pytest,
                python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://spectral-cube.readthedocs.org
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/spectral-cube.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/spectral-cube.git
+Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,11 @@
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
+spectral_cube/tests/data/vda.fits:
+	cd spectral_cube/tests/data && python make_test_cubes.py
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test-python%:
+test-python%: spectral_cube/tests/data/vda.fits
 	python$* setup.py test -vv --args -v
 
 override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)

=== debian/tests/control ===
Tests: python-spectral-cube
Depends: python-spectral-cube

Tests: python3-spectral-cube
Depends: python3-spectral-cube

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/spectral-cube/spectral-cube-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## spectral-cube 0.4.4

=== debian/changelog ===
spectral-cube (0.4.4-2) unstable; urgency=low

  * Add tests on salsa
  * Allow stderr on CI tests

 -- Ole Streicher <olebole@debian.org>  Mon, 05 Aug 2019 12:43:25 +0200

spectral-cube (0.4.4-1) unstable; urgency=medium

  * d/watch: allow ~dev in upstream version name
  * New upstream version 0.4.4. Push compat to 12
  * Push Standards-Version to 4.4.0. No changes needed
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 17 Jul 2019 13:51:06 +0200

spectral-cube (0.4.3-2) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Dec 2018 09:55:12 +0100

=== debian/tests/control ===
Tests: python3-spectral-cube
Depends: python3-spectral-cube
Restrictions: allow-stderr

## spectral-cube 0.4.5

=== debian/changelog ===
spectral-cube (0.4.5-1) unstable; urgency=low

  * New upstream version 0.4.5. Rediff patches
  * Push Standards-Version to 4.4.1. No changes required
  * Remove d/compat
  * Use pytest to run tests

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Dec 2019 08:55:24 +0100

=== debian/control ===
Source: spectral-cube
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-astropy,
               python3-astropy-helpers,
               python3-pytest,
               python3-radio-beam,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://spectral-cube.readthedocs.org
Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube

Package: python3-spectral-cube
Architecture: all
Depends: python3-matplotlib, ${misc:Depends}, ${python3:Depends}
Description: Manipulate astronomical data cubes with Python
 The spectral-cube package provides an easy way to read, manipulate,
 analyze, and write data cubes with two positional dimensions and one
 spectral dimension, optionally with Stokes parameters. It aims to be a
 versatile data container for building custom analysis routines.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=spectral-cube

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cd spectral_cube/tests/data && python3 make_test_cubes.py
	dh_auto_test
endif

## spectral-cube 0.5.0

=== debian/changelog ===
spectral-cube (0.5.0-1) unstable; urgency=low

  * New upstream version 0.5.0. Rediff patches
  * Add "Rules-Requires-Root: no" to d/control
  * Add dask to build dependencies
  * Copy test data during build
  * Add recreated version.py file to d/clean

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2020 14:54:10 +0200

spectral-cube (0.4.5-4) unstable; urgency=medium

  * Remove files from dist-packages root that were generated during test

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jun 2020 10:16:34 +0200

spectral-cube (0.4.5-3) unstable; urgency=medium

  * Build-depend on aplpy (Closes: #963388)
  * Push dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jun 2020 08:21:29 +0200

spectral-cube (0.4.5-2) unstable; urgency=medium

  * Search required warning message in all warnings for test (Closes: #952573)
  * Push Standards-Version to 4.5.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Feb 2020 12:12:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-aplpy,
                python3-astropy,
                python3-astropy-helpers,
+               python3-dask,
                python3-pytest,
                python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://spectral-cube.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube
+Rules-Requires-Root: no
 
 Package: python3-spectral-cube
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,6 @@
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	cd spectral_cube/tests/data && python3 make_test_cubes.py
 	dh_auto_test
+	rm -f .pybuild/*/build/output.np .pybuild/*/build/test.png
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.?(rc|a|b|c|dev)/~$1/ \
https://pypi.debian.net/spectral-cube/spectral-cube-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## spectral-cube 0.6.0

=== debian/changelog ===
spectral-cube (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Rediff patches. Drop patches that were applied upstream.
  * Add new build dep python3-casa-formats-io
  * Remove non-essential build dependency python3-aplpy

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Oct 2021 08:29:59 +0200

spectral-cube (0.5.0-4) unstable; urgency=medium

  * Loose warning in parallel execution test (Closes: #994786)

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Sep 2021 11:28:07 +0200

spectral-cube (0.5.0-3) unstable; urgency=medium

  * Improve compatibity of tests to radio-beam package

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Aug 2021 07:52:44 +0200

spectral-cube (0.5.0-2) unstable; urgency=medium

  * Push Standards-Version to 4.6.0. No changes needed
  * Stringy versions of physical types
  * Fix exception type for bad beam test

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 10:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-aplpy,
                python3-astropy,
                python3-astropy-helpers,
+               python3-casa-formats-io,
                python3-dask,
                python3-pytest,
                python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://spectral-cube.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube
@@ -21,7 +21,7 @@
 
 Package: python3-spectral-cube
 Architecture: all
-Depends: python3-matplotlib, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: Manipulate astronomical data cubes with Python
  The spectral-cube package provides an easy way to read, manipulate,
  analyze, and write data cubes with two positional dimensions and one

## spectral-cube 0.6.2

=== debian/changelog ===
spectral-cube (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Jun 2023 12:05:13 +0200

spectral-cube (0.6.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix tests/FTBFS with numpy
  * Add patch to fix test_proj_imshow

 -- Nilesh Patra <nilesh@debian.org>  Wed, 11 Jan 2023 20:44:01 +0530

spectral-cube (0.6.0-2) unstable; urgency=medium

  * Update test_kernel_smooth to latest github version
    (Closes: #1026720, #1027396)
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 10:46:03 +0100

## spectral-cube 0.6.3

=== debian/changelog ===
spectral-cube (0.6.3-3) unstable; urgency=medium

  * Remove remaining references to angular_utilities

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Dec 2023 09:08:37 +0100

spectral-cube (0.6.3-2) unstable; urgency=medium

  * Update import of angular_separation

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Nov 2023 17:07:11 +0100

spectral-cube (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Oct 2023 09:49:46 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-pytest,
                python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://spectral-cube.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube

## spectral-cube 0.6.5

=== debian/changelog ===
spectral-cube (0.6.5-4) unstable; urgency=medium

  * Don't run LMV test on big endian archs
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jun 2024 14:05:59 +0200

spectral-cube (0.6.5-3) unstable; urgency=medium

  * Replace distutils.LooseVersion with packaging.version (Closes: #1063411)

 -- Ole Streicher <olebole@debian.org>  Wed, 07 Feb 2024 21:46:34 +0100

spectral-cube (0.6.5-2) unstable; urgency=medium

  * Remove obsolete python3-astropy-helpers build dependency

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Dec 2023 20:24:15 +0100

spectral-cube (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Drop Update-import-of-angular_separation.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 10:19:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                dh-python,
                python3-all,
                python3-astropy,
-               python3-astropy-helpers,
                python3-casa-formats-io,
                python3-dask,
+               python3-packaging,
                python3-pytest,
                python3-radio-beam,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://spectral-cube.readthedocs.org
 Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube

## spectral-cube 0.6.6

=== spectral_cube/tests/data/Makefile ===
all: advs.fits dvsa.fits vsad.fits sadv.fits sdav.fits adv.fits vad.fits

%.fits: make_test_cubes.py
	python make_test_cubes.py

=== debian/changelog ===
spectral-cube (0.6.6-5) unstable; urgency=medium

  * Add missing python3-pytest-astropy test dependency
  * d/u/metadata: fix keyword capitalization

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Oct 2025 09:12:34 +0200

spectral-cube (0.6.6-4) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Rework 'd/copyright' file.
  * Update 'Standards-Version' to 4.7.2, no changes required.

  [ Ole Streicher ]
  * d/watch: switch upstream to Github
  * Fixed compatibility with recent versions of scipy.ndimage (Closes: #1114721)
  * Loosen expected output of test_smooth_update_function_serial

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Oct 2025 16:18:46 +0200

spectral-cube (0.6.6-3) unstable; urgency=medium

  * Use asser_almost_equal instead of equality assert

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Aug 2025 16:03:04 +0200

spectral-cube (0.6.6-2) unstable; urgency=medium

  * Team Upload
  * Fix one test with precision issue on i386

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 10:57:47 +0100

spectral-cube (0.6.6-1) unstable; urgency=medium

  * Team Upload
  * Update d/watch for new PyPi archive naming policy
  * New upstream version 0.6.6
  * Use dh-sequence-python3
  * Refresh patches
  * Add new test dependency: python3-tqdm

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 14:04:59 +0100

spectral-cube (0.6.5-7) unstable; urgency=medium

  [ Colin Watson ]
  * mean -> nanmean in failing test (Closes: #1092352)

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Jan 2025 14:12:25 +0100

spectral-cube (0.6.5-6) unstable; urgency=medium

  * Remove six dependency (Closes: #1090171)

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Dec 2024 08:12:11 +0100

spectral-cube (0.6.5-5) unstable; urgency=medium

  * Fix test for Astropy 7

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Nov 2024 23:02:10 +0100

=== debian/control ===
Source: spectral-cube
Standards-Version: 4.7.2
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-astropy,
 python3-casa-formats-io,
 python3-dask,
 python3-packaging,
 python3-pytest,
 python3-pytest-astropy,
 python3-radio-beam,
 python3-setuptools,
 python3-tqdm,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/spectral-cube
Vcs-Git: https://salsa.debian.org/debian-astro-team/spectral-cube.git
Homepage: https://spectral-cube.readthedocs.org

Package: python3-spectral-cube
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Manipulate astronomical data cubes with Python
 The spectral-cube package provides an easy way to read, manipulate,
 analyze, and write data cubes with two positional dimensions and one
 spectral dimension, optionally with Stokes parameters. It aims to be a
 versatile data container for building custom analysis routines.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME=spectral-cube
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs spectral_cube
Depends: python3-spectral-cube, python3-pytest, python3-pytest-astropy
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: radio-astro-tools
Project: spectral-cube
